Get Personalities | Orwel Docs
Docs

Get Personalities

Retrieve personalities for a specific identity

GET https://api.orwel.io/api/v1/identities/{id}/personalities

Path Parameters

idstringpathrequired

The unique identifier of the identity

Response

dataarray

Array of visitor persona objects

Show Persona Object
idstring

Unique identifier for the persona

visitor_idstring

Associated visitor ID

scorenumber

Persona score

personalityobject

Personality traits and analysis

featuresobject

Feature analysis

learning_percentagenumber

Learning progress percentage

created_atstring

ISO 8601 timestamp of creation

Request
curl -X GET "https://api.orwel.io/api/v1/identities/ee0e8400-e29b-41d4-a716-446655440009/personalities" \
  -H "Authorization: Bearer orwel_sk_YOUR_KEY"
Response
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "visitor_id": "660e8400-e29b-41d4-a716-446655440001",
      "score": 85.5,
      "personality": {
        "type": "Analyst",
        "traits": ["detail-oriented", "logical"]
      },
      "features": {},
      "learning_percentage": 0.75,
      "created_at": "2025-01-10T08:00:00Z"
    }
  ]
}